From 4adf02a5496a4bd5ac7a7c19bfad5b70cce85468 Mon Sep 17 00:00:00 2001
From: Starbeamrainbowlabs <sbrl@starbeamrainbowlabs.com>
Date: Sun, 20 Mar 2016 16:30:00 +0000
Subject: [PATCH] Minor improvements to page lists.

Redirect pagse now show in italics, and the pencil icon has a ? cursor and has a tooltip of "Last editor".
---
 Changelog.md          | 3 +++
 build/index.php       | 8 ++++++--
 module_index.json     | 4 ++--
 modules/page-list.php | 8 ++++++--
 4 files changed, 17 insertions(+), 6 deletions(-)

diff --git a/Changelog.md b/Changelog.md
index 80816ef..0b7449d 100644
--- a/Changelog.md
+++ b/Changelog.md
@@ -9,6 +9,7 @@
  - Added icons to the "More..." menu
  - Added help section to parsedown parser.
  - Added more information to the dev help page.
+ - Added templating! It works the way you'd expect it to in Mediawiki.
 
 ## Changed
  - Improved appearance of the all pages list.
@@ -23,6 +24,8 @@
  - Moved printable button to bottom bar and changed display text to "Printable version".
  - Improved the "There isn't a page called..." message you sometimes see when searching.
  - Corrected a minor issue on the help page.
+ - Redirect pages now show in italics in page lists.
+ - Made other minor improvements to the page lists.
 
 ## Fixed
  - Removed debug statement from the redirect page module.
diff --git a/build/index.php b/build/index.php
index 24069ee..1fbbcd9 100644
--- a/build/index.php
+++ b/build/index.php
@@ -3268,9 +3268,13 @@ function generate_page_list($pagelist)
 			$tags = substr($tags, 0, -2); // Remove the last ", " from the tag list
 		}
 		
-		$result .= "<li><a href='index.php?page=$pagename'>$pagename</a>
+		$pageDisplayName = $pagename;
+		if($pageindex->$pagename->redirect)
+			$pageDisplayName = "<em>$pageDisplayName</em>";
+		
+		$result .= "<li><a href='index.php?page=$pagename'>$pageDisplayName</a>
 		<em class='size'>(" . human_filesize($pageindex->$pagename->size) . ")</em>
-		<span class='editor'>&#9998; " . $pageindex->$pagename->lasteditor . "</span>
+		<span class='editor'><span class='texticon cursor-query' title='Last editor'>&#9998;</span> " . $pageindex->$pagename->lasteditor . "</span>
 		<time class='cursor-query' title='" . date("l jS \of F Y \a\\t h:ia T", $pageindex->$pagename->lastmodified) . "'>" . human_time_since($pageindex->$pagename->lastmodified) . "</time>
 		<span class='tags'>$tags</span></li>";
 	}
diff --git a/module_index.json b/module_index.json
index abe6e83..5b21a81 100644
--- a/module_index.json
+++ b/module_index.json
@@ -131,7 +131,7 @@
         "author": "Starbeamrainbowlabs",
         "description": "Adds a page that lists all the pages in the index along with their metadata.",
         "id": "page-list",
-        "lastupdate": 1452953587,
+        "lastupdate": 1458491260,
         "optional": false
     },
     {
@@ -194,7 +194,7 @@
         "author": "Emanuil Rusev & Starbeamrainbowlabs",
         "description": "An upgraded (now default!) parser based on Emanuil Rusev's Parsedown Extra PHP library (https:\/\/github.com\/erusev\/parsedown-extra), which is licensed MIT. Please be careful, as this module adds a some weight to your installation, and also *requires* write access to the disk on first load.",
         "id": "parser-parsedown",
-        "lastupdate": 1458490188,
+        "lastupdate": 1458490248,
         "optional": false
     }
 ]
\ No newline at end of file
diff --git a/modules/page-list.php b/modules/page-list.php
index b684fe9..501a05d 100644
--- a/modules/page-list.php
+++ b/modules/page-list.php
@@ -108,9 +108,13 @@ function generate_page_list($pagelist)
 			$tags = substr($tags, 0, -2); // Remove the last ", " from the tag list
 		}
 		
-		$result .= "<li><a href='index.php?page=$pagename'>$pagename</a>
+		$pageDisplayName = $pagename;
+		if($pageindex->$pagename->redirect)
+			$pageDisplayName = "<em>$pageDisplayName</em>";
+		
+		$result .= "<li><a href='index.php?page=$pagename'>$pageDisplayName</a>
 		<em class='size'>(" . human_filesize($pageindex->$pagename->size) . ")</em>
-		<span class='editor'>&#9998; " . $pageindex->$pagename->lasteditor . "</span>
+		<span class='editor'><span class='texticon cursor-query' title='Last editor'>&#9998;</span> " . $pageindex->$pagename->lasteditor . "</span>
 		<time class='cursor-query' title='" . date("l jS \of F Y \a\\t h:ia T", $pageindex->$pagename->lastmodified) . "'>" . human_time_since($pageindex->$pagename->lastmodified) . "</time>
 		<span class='tags'>$tags</span></li>";
 	}
